## ion 3.2.1%2Bdfsg

=== bp/i86_64-fedora/Makefile ===
API = ../library
INCL = ../include
UTILS = ../utils
TEST = ../test
DAEMON = ../daemon
CGR = ../cgr
IPN = ../ipn
IMC = ../imc
BSSP = ../bssp
DTN2 = ../dtn2
LTP = ../ltp
TCP = ../tcp
DGR = ../dgr
BRS = ../brs
UDP = ../udp
DCCP = ../dccp
CRYPTO = $(API)/crypto/NULL_SUITES

# OPT = -O -Dlinux
OPT = -g -Wall -Werror -Dlinux -fPIC -DSPACE_ORDER=3 -DENABLE_BPACS -DENABLE_IMC
CC = gcc $(OPT) -I$(IPN) -I$(IMC) -I$(DTN2) -I$(API) -I$(API)/acs -I$(API)/ext -I$(API)/ext/phn -I$(API)/ext/ecos -I$(API)/ext/bae -I$(API)/ext/bsp -I$(API)/ext/cteb -I$(INCL) -I$(ROOT)/include -DBP_EXTENDED
# -I$(API)/ext/snid
LDFLAGS = -fPIC -shared
LD = gcc $(LDFLAGS)

PUBINCLS = \
	$(INCL)/bp.h

BPINCLS = \
	$(API)/bpP.h \
	$(IPN)/ipnfw.h \
	$(IMC)/imcfw.h \
	$(IMC)/imcP.h \
	$(BSSP)/bsspcla.h \
	$(DTN2)/dtn2fw.h \
	$(BRS)/brscla.h \
	$(UDP)/udpcla.h \
	$(TCP)/tcpcla.h \
	$(LTP)/ltpcla.h \
	$(DCCP)/dccpcla.h \
	$(API)/acs/acs.h

BPLIBS = \
	libbp.so

BPPOBJS = libbpP.o phn.o ecos.o bae.o bei.o extbsputil.o extbspbab.o extbsppcb.o extbsppib.o acstx.o acsrx.o acsserialize.o acsappend.o acsid.o cteb.o libimcfw.o
# snid.o

LFW = -lipnfw -ldtn2fw

LBP = -lbp

RUNTIMES = bpadmin bpsink bpsource bpdriver bpecho bpcounter bpsendfile bprecvfile bpclock ipnadmin ipnfw ipnadminep dtn2admin dtn2fw dtn2adminep tcpcli tcpclo stcpcli stcpclo brsscla brsccla udpcli udpclo dgrcla ltpcli ltpclo lgsend lgagent bptrace bpstats bplist bpcancel hmackeys bping bpstats2 bpchat acsadmin acslist imcadmin imcfw bsspcli bsspclo bpnmtest
#dccpcli dccpclo

ALL = check $(BPLIBS) libcgr.so libipnfw.so libimcfw.so libdtn2fw.so libtcpcla.so libudpcla.so $(RUNTIMES)

all:		$(ALL)

check:		$(BPINCLS) $(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/* $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Daemon executables	-	-	-	-

bpclock:	bpclock.o $(BPLIBS)
		$(CC) -o bpclock bpclock.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpclock ./bin

#	-	-	Utility executables	-	-	-	-

bpadmin:	bpadmin.o $(BPLIBS)
		$(CC) -o bpadmin bpadmin.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpadmin ./bin

ipnadmin:	ipnadmin.o $(BPLIBS) libipnfw.so
		$(CC) -o ipnadmin ipnadmin.o -L./lib -L$(ROOT)/lib -lipnfw $(LBP) -lici -lpthread
		cp ipnadmin ./bin

imcadmin:	imcadmin.o $(BPLIBS) libimcfw.so
		$(CC) -o imcadmin imcadmin.o -L./lib -L$(ROOT)/lib -limcfw $(LBP) -lici -lpthread
		cp imcadmin ./bin

dtn2admin:	dtn2admin.o $(BPLIBS) libdtn2fw.so
		$(CC) -o dtn2admin dtn2admin.o -L./lib -L$(ROOT)/lib -ldtn2fw $(LBP) -lici -lpthread
		cp dtn2admin ./bin

lgsend:		lgsend.o $(BPLIBS)
		$(CC) -o lgsend lgsend.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp lgsend ./bin

lgagent:	lgagent.o $(BPLIBS)
		$(CC) -o lgagent lgagent.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp lgagent ./bin

bptrace:	bptrace.o $(BPLIBS)
		$(CC) -o bptrace bptrace.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bptrace ./bin

bpstats:	bpstats.o $(BPLIBS)
		$(CC) -o bpstats bpstats.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpstats ./bin

bpstats2:	bpstats2.o $(BPLIBS)
		$(CC) -o bpstats2 bpstats2.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpstats2 ./bin

bping:		bping.o $(BPLIBS)
		$(CC) -o bping bping.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bping ./bin

bpchat:		bpchat.o $(BPLIBS)
		$(CC) -o bpchat bpchat.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpchat ./bin

bplist:		bplist.o $(BPLIBS)
		$(CC) -o bplist bplist.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bplist ./bin

bpcancel:	bpcancel.o $(BPLIBS)
		$(CC) -o bpcancel bpcancel.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpcancel ./bin

hmackeys:	hmackeys.o $(BPLIBS)
		$(CC) -o hmackeys hmackeys.o -L$(ROOT)/lib -lici -lpthread
		cp hmackeys ./bin

acsadmin:	acsadmin.o $(BPLIBS)
		$(CC) -o acsadmin acsadmin.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp acsadmin ./bin

acslist:	acslist.o $(BPLIBS)
		$(CC) -o acslist acslist.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp acslist ./bin

#	-	-	IPN executables	-	-	-	-	-

ipnfw:		ipnfw.o $(BPLIBS) libipnfw.so libcgr.so
		$(CC) -o ipnfw ipnfw.o -L./lib -L$(ROOT)/lib -lipnfw -lcgr $(LBP) -lici -lpthread
		cp ipnfw ./bin

ipnadminep:	ipnadminep.o $(BPLIBS) libipnfw.so
		$(CC) -o ipnadminep ipnadminep.o -L./lib -L$(ROOT)/lib -lipnfw $(LBP) -lici -lpthread
		cp ipnadminep ./bin

#	-	-	IMC executables	-	-	-	-	-

imcfw:		imcfw.o $(BPLIBS) libimcfw.so libipnfw.so
		$(CC) -o imcfw imcfw.o -L./lib -L$(ROOT)/lib -limcfw -lipnfw $(LBP) -lici -lpthread
		cp imcfw ./bin

#	-	-	DTN2 executables	-	-	-	-

dtn2fw:		dtn2fw.o $(BPLIBS) libdtn2fw.so
		$(CC) -o dtn2fw dtn2fw.o -L./lib -L$(ROOT)/lib -ldtn2fw $(LBP) -lici -lpthread
		cp dtn2fw ./bin

dtn2adminep:	dtn2adminep.o $(BPLIBS) libdtn2fw.so
		$(CC) -o dtn2adminep dtn2adminep.o -L./lib -L$(ROOT)/lib -ldtn2fw $(LBP) -lici -lpthread
		cp dtn2adminep ./bin

#	-	-	LTP executables	-	-	-	-	-

ltpcli:		ltpcli.o $(BPLIBS)
		$(CC) -o ltpcli ltpcli.o -L./lib -L$(ROOT)/lib $(LFW) $(LBP) -lltp -lltpP -lici -lpthread
		cp ltpcli ./bin

ltpclo:		ltpclo.o $(BPLIBS)
		$(CC) -o ltpclo ltpclo.o -L./lib -L$(ROOT)/lib $(LBP) -lltp -lltpP -lici -lpthread
		cp ltpclo ./bin

#	-	-	TCP executables	-	-	-	-	-

tcpcli:		tcpcli.o $(BPLIBS) libtcpcla.so
		$(CC) -o tcpcli tcpcli.o -L./lib -L$(ROOT)/lib $(LFW) -ltcpcla $(LBP) -lici -lpthread
		cp tcpcli ./bin

tcpclo:		tcpclo.o $(BPLIBS) libtcpcla.so
		$(CC) -o tcpclo tcpclo.o -L./lib -L$(ROOT)/lib -ltcpcla $(LBP) -lici -lpthread
		cp tcpclo ./bin

#	-	-	STCP executables	-	-	-	-

stcpcli:	stcpcli.o $(BPLIBS) libtcpcla.so
		$(CC) -o stcpcli stcpcli.o -L./lib -L$(ROOT)/lib $(LFW) -ltcpcla $(LBP) -lici -lpthread
		cp stcpcli ./bin

stcpclo:	stcpclo.o $(BPLIBS) libtcpcla.so
		$(CC) -o stcpclo stcpclo.o -L./lib -L$(ROOT)/lib -ltcpcla $(LBP) -lici -lpthread
		cp stcpclo ./bin

#	-	-	UDP executables	-	-	-	-	-

udpcli:		udpcli.o $(BPLIBS) libudpcla.so
		$(CC) -o udpcli udpcli.o -L./lib -L$(ROOT)/lib $(LFW) -ludpcla $(LBP) -lici -lpthread
		cp udpcli ./bin

udpclo:		udpclo.o $(BPLIBS) libudpcla.so
		$(CC) -o udpclo udpclo.o -L./lib -L$(ROOT)/lib -ludpcla $(LBP) -lici -lpthread
		cp udpclo ./bin

#	-	-	BSSP executables	-	-	-	-

bsspcli:	bsspcli.o $(BPLIBS)
		$(CC) -o bsspcli bsspcli.o -L./lib -L$(ROOT)/lib $(LFW) $(LBP) -lbssp -lbsspP -lici -lpthread
		cp bsspcli ./bin

bsspclo:	bsspclo.o $(BPLIBS)
		$(CC) -o bsspclo bsspclo.o -L./lib -L$(ROOT)/lib $(LFW) $(LBP) -lbssp -lbsspP -lici -lpthread
		cp bsspclo ./bin

#	-	-	DCCP executables	-	-	-	-

dccpcli:	dccpcli.o $(BPLIBS)
		$(CC) -o dccpcli dccpcli.o -L./lib -L$(ROOT)/lib $(LFW) $(LBP) -lici -lpthread
		cp dccpcli ./bin

dccpclo:	dccpclo.o $(BPLIBS)
		$(CC) -o dccpclo dccpclo.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp dccpclo ./bin

#	-	-	DGR executable	-	-	-	-	-

dgrcla:		dgrcla.o $(BPLIBS)
		$(CC) -o dgrcla dgrcla.o -L./lib -L$(ROOT)/lib $(LFW) $(LBP) -ldgr -lici -lpthread
		cp dgrcla ./bin

#	-	-	BRS executables	-	-	-	-

brsscla:	brsscla.o $(BPLIBS) libtcpcla.so
		$(CC) -o brsscla brsscla.o -L./lib -L$(ROOT)/lib $(LFW) -ltcpcla $(LBP) -lici -lpthread
		cp brsscla ./bin

brsccla:	brsccla.o $(BPLIBS) libtcpcla.so
		$(CC) -o brsccla brsccla.o -L./lib -L$(ROOT)/lib $(LFW) -ltcpcla $(LBP) -lici -lpthread
		cp brsccla ./bin

#	-	-	Test executables	-	-	-	-

bpsource:	bpsource.o libbp.so $(BPLIBS)
		$(CC) -o bpsource bpsource.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpsource ./bin

bpsink:		bpsink.o libbp.so $(BPLIBS)
		$(CC) -o bpsink bpsink.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpsink ./bin

bpdriver:	bpdriver.o libbp.so $(BPLIBS)
		$(CC) -o bpdriver bpdriver.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpdriver ./bin

bpecho:		bpecho.o libbp.so $(BPLIBS)
		$(CC) -o bpecho bpecho.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpecho ./bin

bpcounter:	bpcounter.o libbp.so $(BPLIBS)
		$(CC) -o bpcounter bpcounter.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpcounter ./bin

bpsendfile:	bpsendfile.o libbp.so $(BPLIBS)
		$(CC) -o bpsendfile bpsendfile.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpsendfile ./bin

bprecvfile:	bprecvfile.o libbp.so $(BPLIBS)
		$(CC) -o bprecvfile bprecvfile.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bprecvfile ./bin

bpnmtest:	bpnmtest.o libbp.so $(BPLIBS)
		$(CC) -o bpnmtest bpnmtest.o -L./lib -L$(ROOT)/lib $(LBP) -lici -lpthread
		cp bpnmtest ./bin

#	-	-	Libraries	-	-	-	-	-

libbp.so:	libbp.o $(BPPOBJS) libbpnm.o
		$(LD) -o libbp.so libbp.o $(BPPOBJS) libbpnm.o
		cp libbp.so ./lib

libcgr.so:	libcgr.o
		$(LD) -o libcgr.so libcgr.o
		cp libcgr.so ./lib

libipnfw.so:	libipnfw.o
		$(LD) -o libipnfw.so libipnfw.o
		cp libipnfw.so ./lib

libimcfw.so:	libimcfw.o
		$(LD) -o libimcfw.so libimcfw.o
		cp libimcfw.so ./lib

libdtn2fw.so:	libdtn2fw.o
		$(LD) -o libdtn2fw.so libdtn2fw.o
		cp libdtn2fw.so ./lib

libtcpcla.so:	libtcpcla.o
		$(LD) -o libtcpcla.so libtcpcla.o
		cp libtcpcla.so ./lib

libudpcla.so:	libudpcla.o
		$(LD) -o libudpcla.so libudpcla.o
		cp libudpcla.so ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(API)/%.c
		$(CC) -c $<

#%.o:		$(API)/ext/snid/%.c
#		$(CC) -c $<

%.o:		$(API)/ext/ecos/%.c
		$(CC) -c $<

%.o:		$(API)/ext/bae/%.c
		$(CC) -c $<

%.o:		$(API)/ext/bsp/%.c
		$(CC) -c $<

%.o:		$(API)/ext/phn/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

%.o:		$(UTILS)/%.c
		$(CC) -c $<

%.o:		$(DAEMON)/%.c
		$(CC) -c $<

%.o:		$(CGR)/%.c
		$(CC) -c $<

%.o:		$(IPN)/%.c
		$(CC) -c $<

%.o:		$(IMC)/%.c
		$(CC) -c $<

%.o:		$(BSSP)/%.c
		$(CC) -c $<

%.o:		$(DTN2)/%.c
		$(CC) -c $<

%.o:		$(LTP)/%.c
		$(CC) -c $<

%.o:		$(TCP)/%.c
		$(CC) -c $<

%.o:		$(UDP)/%.c
		$(CC) -c $<

#%.o:		$(DCCP)/%.c
#		$(CC) -c $<

%.o:		$(BRS)/%.c
		$(CC) -c $<

%.o:		$(DGR)/%.c
		$(CC) -c $<

%.o:		$(API)/acs/%.c
		$(CC) -c $<

%.o:		$(API)/ext/cteb/%.c
		$(CC) -c $<

=== dgr/sparc-sol9/Makefile ===
INCL = ../include
API = ../library
TEST = ../test

OPT = -g -Wall -Werror -Dsol5 -Dunix -D__SVR4 -D_REENTRANT -fPIC
CC = gcc $(OPT) -I$(API) -I$(TEST) -I$(INCL) -I$(ROOT)/include
LDFLAGS = -fPIC -shared
LD = gcc $(LDFLAGS)

LIBDGROBJS = \
	libdgr.o

PUBINCLS = \
	$(INCL)/dgr.h

RUNTIMES = file2dgr dgr2file file2tcp tcp2file file2udp udp2file

ALL = check libdgr.so $(RUNTIMES)

all:		$(ALL)

check:		$(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/* $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Test executables	-	-	-	-

file2dgr:	file2dgr.o libdgr.so $(TEST)/file2dgr.h
		$(CC) -o file2dgr file2dgr.o -L./lib -L$(ROOT)/lib -ldgr -lici -lpthread -lrt -lsocket
		cp file2dgr ./bin

dgr2file:	dgr2file.o libdgr.so $(TEST)/file2dgr.h
		$(CC) -o dgr2file dgr2file.o -L./lib -L$(ROOT)/lib -ldgr -lici -lpthread -lrt -lsocket
		cp dgr2file ./bin

tcp2file:	tcp2file.o $(TEST)/file2tcp.h
		$(CC) -o tcp2file tcp2file.o -L$(ROOT)/lib -L./lib -lici -lpthread -lrt -lsocket
		cp tcp2file ./bin

file2tcp:	file2tcp.o $(TEST)/file2tcp.h
		$(CC) -o file2tcp file2tcp.o -L$(ROOT)/lib -L./lib -lici -lpthread -lrt -lsocket
		cp file2tcp ./bin

udp2file:	udp2file.o $(TEST)/file2udp.h
		$(CC) -o udp2file udp2file.o -L$(ROOT)/lib -L./lib -lici -lpthread -lrt -lsocket
		cp udp2file ./bin

file2udp:	file2udp.o $(TEST)/file2udp.h
		$(CC) -o file2udp file2udp.o -L$(ROOT)/lib -L./lib -lici -lpthread -lrt -lsocket
		cp file2udp ./bin

#	-	-	Libraries	-	-	-	-	-

libdgr.so:	$(LIBDGROBJS)
		$(LD) -o libdgr.so $(LIBDGROBJS)
		cp libdgr.so ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(API)/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

=== ici/i86-redhat/Makefile ===
SRC = ../library
INCL = ../include
TEST = ../test
UTILS = ../utils
DAEMON = ../daemon
SDR = ../sdr
CRYPTO = ../crypto

# OPT = -O -Dlinux
OPT = -g -Wall -Werror -Dlinux
CC = gcc $(OPT) -I$(SRC) -I$(TEST) -I$(SDR) -I$(INCL) -I$(CRYPTO)
LDFLAGS = -fPIC -shared -rdynamic
LD = gcc $(LDFLAGS)

LIBICIOBJS = \
	llcv.o \
	platform.o \
	platform_sm.o \
	memmgr.o \
	lyst.o \
	psm.o \
	smlist.o \
	smrbt.o \
	sptrace.o \
	ion.o \
	rfx.o \
	ionsec.o \
	crypto.o \
	zco.o \
	sdrxn.o \
	sdrmgt.o \
	sdrstring.o \
	sdrlist.o \
	sdrtable.o \
	sdrhash.o \
	sdrcatlg.o

PUBINCLS = \
	$(INCL)/llcv.h \
	$(INCL)/platform.h \
	$(INCL)/platform_sm.h \
	$(INCL)/memmgr.h \
	$(INCL)/lyst.h \
	$(INCL)/psm.h \
	$(INCL)/smlist.h \
	$(INCL)/smrbt.h \
	$(INCL)/sptrace.h \
	$(INCL)/ion.h \
	$(INCL)/rfx.h \
	$(INCL)/ionsec.h \
	$(INCL)/crypto.h \
	$(INCL)/zco.h \
	$(INCL)/sdrxn.h \
	$(INCL)/sdrmgt.h \
	$(INCL)/sdrstring.h \
	$(INCL)/sdrlist.h \
	$(INCL)/sdrtable.h \
	$(INCL)/sdrhash.h \
	$(INCL)/sdr.h

ICIINCLS = \
	$(SRC)/lystP.h \
	$(SDR)/sdrP.h

UTILITIES = sdrwatch psmwatch ionadmin ionsecadmin sdrmend ionwarn

TESTPGMS = file2sm sm2file file2sdr sdr2file psmshell smlistsh smrbtsh owltsim owlttb

ALL = check libici.so libicinm.so rfxclock $(UTILITIES) $(TESTPGMS)

all:		$(ALL)

check:		$(ICIINCLS) $(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/*.h $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Utility executables	-	-	-	-

sdrwatch:	sdrwatch.o libici.so
		$(CC) -o sdrwatch sdrwatch.o -L./lib -lici -lpthread
		cp sdrwatch ./bin

sdrmend:	sdrmend.o libici.so
		$(CC) -o sdrmend sdrmend.o -L./lib -lici -lpthread
		cp sdrmend ./bin

psmwatch:	psmwatch.o libici.so
		$(CC) -o psmwatch psmwatch.o -L./lib -lici -lpthread
		cp psmwatch ./bin

ionadmin:	ionadmin.o libici.so
		$(CC) -o ionadmin ionadmin.o -L./lib -lici -lpthread
		cp ionadmin ./bin

ionwarn:	ionwarn.o libici.so
		$(CC) -o ionwarn ionwarn.o -L./lib -lici -lpthread
		cp ionwarn ./bin

ionsecadmin:	ionsecadmin.o libici.so
		$(CC) -o ionsecadmin ionsecadmin.o -L./lib -lici -lpthread
		cp ionsecadmin ./bin

#	-	-	Test executables	-	-	-	-

psmshell:	psmshell.o libici.so
		$(CC) -o psmshell psmshell.o -L./lib -lici -lpthread
		cp psmshell ./bin

smlistsh:	smlistsh.o libici.so
		$(CC) -o smlistsh smlistsh.o -L./lib -lici -lpthread
		cp smlistsh ./bin

smrbtsh:	smrbtsh.o libici.so
		$(CC) -o smrbtsh smrbtsh.o -L./lib -lici -lpthread
		cp smrbtsh ./bin

file2sm:	file2sm.o libici.so
		$(CC) -I. -o file2sm file2sm.o -L./lib -lici -lpthread
		cp file2sm ./bin

sm2file:	sm2file.o libici.so
		$(CC) -I. -o sm2file sm2file.o -L./lib -lici -lpthread
		cp sm2file ./bin

file2sdr:	file2sdr.o libici.so
		$(CC) -I. -o file2sdr file2sdr.o -L./lib -lici -lpthread
		cp file2sdr ./bin

sdr2file:	sdr2file.o libici.so
		$(CC) -o sdr2file sdr2file.o -L./lib -lici -lpthread
		cp sdr2file ./bin

owltsim:	owltsim.o libici.so
		$(CC) -o owltsim owltsim.o -L./lib -lici -lpthread
		cp owltsim ./bin

owlttb:		owlttb.o libici.so
		$(CC) -o owlttb owlttb.o -L./lib -lici -lpthread
		cp owlttb ./bin

#	-	-	Daemon executable	-	-	-	-

rfxclock:	rfxclock.o libici.so
		$(CC) -I. -o rfxclock rfxclock.o -L./lib -lici -lpthread
		cp rfxclock ./bin

#	-	-	Libraries	-	-	-	-	-

libici.so:	$(LIBICIOBJS)
		$(LD) -o libici.so $(LIBICIOBJS)
		cp libici.so ./lib

libicinm.so:	libicinm.o $(INCL)/icinm.h
		$(LD) -o libicinm.so libicinm.o
		cp libicinm.so ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(SRC)/%.c
		$(CC) -c $<

%.o:		$(SDR)/%.c
		$(CC) -c $<

%.o:		$(CRYPTO)/NULL_SUITES/%.c
		$(CC) -c $<

%.o:		$(UTILS)/%.c
		$(CC) -c $<

%.o:		$(DAEMON)/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

=== restart/i86-redhat/Makefile ===
UTILS = ../utils

# OPT = -O -Dlinux
OPT = -g -Wall -Werror -Dlinux
CC = gcc $(OPT)
LDFLAGS = -fPIC -shared -rdynamic
LD = gcc $(LDFLAGS)

UTILITIES = ionrestart

ALL = $(UTILITIES)

all:		$(ALL)

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./bin/*

install:
		cp bin/* $(ROOT)/bin

#	-	-	Restart executable	-	-	-	-

ionrestart.o:	$(UTILS)/ionrestart.c
		$(CC) -I../../ici/include -I../../ici/sdr -I../../ltp/include -I../../bp/include -I../../cfdp/include -I../../ltp/library -I../../bp/library -I../../cfdp/library -c $(UTILS)/ionrestart.c

ionrestart:	ionrestart.o
		$(CC) -o ionrestart ionrestart.o -L./lib -L../../ici/i86-redhat/lib -L../../ltp/i86-redhat/lib -L../../bp/i86-redhat/lib -L../../cfdp/i86-redhat/lib -lcfdp -lcgr -lbp -lltp -lltpP -lici -lpthread
		cp ionrestart ./bin

## ion 3.2.1+dfsg

=== Makefile ===
all:
	gmake -C ici $@
	gmake -C ici install
	gmake -C ltp $@
	gmake -C ltp install
	gmake -C dgr $@
	gmake -C dgr install
	gmake -C bss $@
	gmake -C bss install
	gmake -C bp $@
	gmake -C bp install
	gmake -C ams $@
	gmake -C ams install
	gmake -C cfdp $@
	gmake -C cfdp install

clean:
	gmake -C ici $@
	gmake -C ltp $@
	gmake -C dgr $@
	gmake -C bss $@
	gmake -C bp $@
	gmake -C ams $@
	gmake -C cfdp $@

test:
	cd tests && ./runtestset normaltests

test-all:
	cd tests && ./runtestset alltests

test-branch:
	@echo
	@echo "You need mercurial (hg) installed for this."
	@echo
	cd tests && hg branch | xargs -L1 ./runtestset

test-%:
	cd tests && ./runtestset $*

retest:
	cd tests && ./runtestset retest


vxworks5:
	ldppc -r -o ionModule.o				\
	./ici/arch-vxworks5/icilib.o			\
	./ltp/arch-vxworks5/ltplib.o			\
	./ams/arch-vxworks5/amslib.o			\
	./bp/arch-vxworks5/bplib.o			\
	./dgr/arch-vxworks5/dgrlib.o			\
	./vxworks-utils/arch-vxworks5/vxwutils.o	\
	./vxwork-utils/vxwork-expat/libexpat.obj

	chmod 755 ionModule.o

=== ams/Makefile ===
OPT = /opt
PLATFORMS = i86-redhat
# i86_64-fedora
# sparc-sol9
# i86-freebsd

all:
		cd doc; \
		mkdir -p man; \
		mkdir -p man/man1; \
		mkdir -p man/man3; \
		mkdir -p man/man5; \
		mkdir -p html; \
		mkdir -p html/man1; \
		mkdir -p html/man3; \
		mkdir -p html/man5; \
		gmake all ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS); \
			do \
				cd $$PF; \
				mkdir -p bin; \
				mkdir -p lib; \
				gmake all ROOT=$(OPT); \
				cd ..; \
			done

clean:
		cd doc; \
		gmake -i clean; \
		cd ..;
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i clean; cd ..; done

install:
		cd doc; \
		gmake -i install ROOT=$(OPT); \
		cd ..;
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i install ROOT=$(OPT); cd ..; done

=== arch-rtems/Makefile ===
IONFLAGS_T = -DRTEMS -DBP_EXTENDED -DGDSSYMTAB -DGDSLOGGER \
-DUSING_SDR_POINTERS  -DION_NO_DNS -DNO_SDR_TRACE -DNO_PSM_TRACE \
-DNO_PROXY -DNO_DIRLIST
# -DENABLE_IMC -DENABLE_BPACS

PGM=${ARCH}/ion.exe

ION_OPEN_SOURCE = 1

# optional managers required
MANAGERS = io semaphore

ICISOURCES =     \
   platform.c    \
   platform_sm.c \
   memmgr.c      \
   llcv.c        \
   lyst.c        \
   psm.c         \
   smlist.c      \
   smrbt.c       \
   ion.c         \
   rfx.c         \
   zco.c         \
   sdrtable.c    \
   sdrhash.c     \
   sdrxn.c       \
   sdrmgt.c      \
   sdrstring.c   \
   sdrlist.c     \
   sdrcatlg.c    \
   rfxclock.c    \
   ionadmin.c    \
   sdrmend.c     \
   ionsec.c      \
   ionsecadmin.c \
   crypto.c      \
   ionwarn.c     \
   ionrestart.c  \
   ionexit.c

LTPSOURCES =     \
	libltp.c     \
	libltpP.c    \
	libltpnm.c   \
	ltpei.c      \
	ltpclock.c   \
	ltpmeter.c   \
	pmqlsi.c     \
	pmqlso.c     \
	ltpadmin.c

BPSOURCES =      \
	libbp.c      \
	libbpP.c     \
	bpclock.c    \
	bpadmin.c    \
	bpstats.c    \
	bptrace.c    \
	bplist.c     \
	lgagent.c    \
	ipnadmin.c   \
	ipnfw.c      \
	libcgr.c     \
	ipnadminep.c \
	libipnfw.c   \
	ltpcli.c     \
	ltpclo.c     \
	bei.c        \
	phn.c        \
	ecos.c       \
	bae.c

#	imcadmin.c   \
#	imcfw.c      \
#	libimcfw.c   \
#	cteb.c       \
#       acsappend.c  \
#	acsid.c      \
#	acstx.c      \
#	acsrx.c      \
#	acsserialize.c \
#	acsadmin.c   \
#	acslist.c    \

BSPSOURCES =     \
	extbsputil.c \
	extbspbab.c  \
	extbsppib.c  \
	extbsppcb.c

DTN2SOURCES =        \
	libdtn2fw.c 

BSSSOURCES =      \
	libbss.c     \
	libbssP.c    \

CFDPSOURCES =      \
	bputa.c      \
	cfdpclock.c  \
	cfdpadmin.c  \
	libcfdp.c    \
	libcfdpP.c   \
	libcfdpops.c 

TESTSOURCES =      \
	bpsource.c   \
	bpsink.c

#	sptrace.c    \
#	bpstats2.c   \
#	bping.c      \
#	bpchat.c     \
#	bpcounter.c  \
#	bpdriver.c   \
#	bpecho.c     \
#	bpsendfile.c \
#	bprecvfile.c 

CSRCS_I = ionrtems.c $(ICISOURCES) $(LTPSOURCES) $(BPSOURCES) $(BSPSOURCES) $(DTN2SOURCES) $(PXSOURCES) $(TESTSOURCES)

ifeq "$(ION_OPEN_SOURCE)" "1"
CSRCS = $(CSRCS_I) $(CFDPSOURCES)
IONFLAGS = $(IONFLAGS_T)
else
CSRCS = $(CSRCS_I)
IONFLAGS = $(IONFLAGS_T) -DNASA_PROTECTED_FLIGHT_CODE
endif

COBJS = $(CSRCS:%.c=${ARCH}/%.o)

include $(RTEMS_MAKEFILE_PATH)/Makefile.inc
include $(RTEMS_CUSTOM)
include $(PROJECT_ROOT)/make/leaf.cfg

OBJS = $(COBJS) $(CXXOBJS) $(ASOBJS)

INCLUDES_T= -I. -I../ici/include -I../dgr/include -I../ltp/include -I../bp/include -I../bss/include -I../bssp/include

ifeq "$(ION_OPEN_SOURCE)" "1"
INCLUDES = $(INCLUDES_T) -I../cfdp/include -I../ams/include
else
INCLUDES = $(INCLUDES_T)
endif

#CFLAGS = -g -Wall -Werror $(IONFLAGS) $(INCLUDES) -O2
CFLAGS = -g -Wall -Werror $(IONFLAGS) $(INCLUDES)

all:    ${ARCH} $(PGM)

$(PGM):	$(OBJS)
	$(make-exe)

clean:
	rm -f $(COBJS) $(PGM)

=== bp/Makefile ===
OPT = /opt
PLATFORMS = i86-redhat
# i86_64-fedora
# sparc-sol9
# i86-freebsd

all:
		cd doc; \
		mkdir -p man; \
		mkdir -p man/man1; \
		mkdir -p man/man3; \
		mkdir -p man/man5; \
		mkdir -p html; \
		mkdir -p html/man1; \
		mkdir -p html/man3; \
		mkdir -p html/man5; \
		gmake all ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS); \
			do \
				cd $$PF; \
				mkdir -p bin; \
				mkdir -p lib; \
				gmake all ROOT=$(OPT); \
				cd ..; \
			done

clean:
		cd doc; \
		gmake -i clean; \
		cd ..; \
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i clean; cd ..; done

install:
		cd doc; \
		gmake -i install ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i install ROOT=$(OPT); cd ..; done

=== bss/Makefile ===
OPT = /opt
PLATFORMS = i86-redhat
# i86_64-fedora
# sparc-sol9
# i86-freebsd

all:
		cd doc; \
		mkdir -p man; \
		mkdir -p man/man1; \
		mkdir -p man/man3; \
		mkdir -p html; \
		mkdir -p html/man1; \
		mkdir -p html/man3; \
		gmake all ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS); \
			do \
				cd $$PF; \
				mkdir -p bin; \
				mkdir -p lib; \
				gmake all ROOT=$(OPT); \
				cd ..; \
			done

clean:
		cd doc; \
		gmake -i clean; \
		cd ..; \
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i clean; cd ..; done

install:
		cd doc; \
		gmake -i install ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS); \
			do cd $$PF; gmake -i install ROOT=$(OPT); cd ..; done

=== ici/Makefile ===
OPT = /opt
PLATFORMS = i86-redhat
# i86_64-fedora
# sparc-sol9
# i86-freebsd

all:
		cd doc; \
		mkdir -p man; \
		mkdir -p man/man1; \
		mkdir -p man/man3; \
		mkdir -p man/man5; \
		mkdir -p html; \
		mkdir -p html/man1; \
		mkdir -p html/man3; \
		mkdir -p html/man5; \
		gmake all ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS);\
			do \
				cd $$PF; \
				mkdir -p bin; \
				mkdir -p lib; \
				gmake all ROOT=$(OPT); \
				cd ..; \
			done

clean:
		cd doc; \
		gmake -i clean; \
		cd ..; \
		for PF in $(PLATFORMS);\
			do cd $$PF; gmake -i clean; cd ..; done

install:
		cd doc; \
		gmake -i install ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS);\
			do cd $$PF; gmake -i install ROOT=$(OPT); cd ..; done

=== nm/Makefile ===

all:
	(cd mgr; make all)
	(cd agent; make all)

=== restart/Makefile ===
OPT = /opt
PLATFORMS = i86-redhat
# i86_64-fedora
# sparc-sol9
# i86-freebsd

all:
		cd doc; \
		mkdir -p man; \
		mkdir -p man/man1; \
		mkdir -p html; \
		mkdir -p html/man1; \
		gmake all ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS);\
			do \
				cd $$PF; \
				mkdir -p bin; \
				gmake all ROOT=$(OPT); \
				cd ..; \
			done

clean:
		cd doc; \
		gmake -i clean; \
		cd ..; \
		for PF in $(PLATFORMS);\
			do cd $$PF; gmake -i clean; cd ..; done

install:
		cd doc; \
		gmake -i install ROOT=$(OPT); \
		cd ..; \
		for PF in $(PLATFORMS);\
			do cd $$PF; gmake -i install ROOT=$(OPT); cd ..; done

=== ams/doc/Makefile ===
PODM1 = pod2man -s 1 -c "AMS executables"
PODM3 = pod2man -s 3 -c "AMS library functions"
PODM5 = pod2man -s 5 -c "AMS configuration files"
PODH = pod2html --noindex

MANFILES = \
	./man/man1/amsbenchr.1 \
	./man/man1/amsbenchs.1 \
	./man/man1/amsd.1 \
	./man/man1/amshello.1 \
	./man/man1/amslog.1 \
	./man/man1/amslogprt.1 \
	./man/man1/amspub.1 \
	./man/man1/amsshell.1 \
	./man/man1/amsstop.1 \
	./man/man1/amsmib.1 \
	./man/man1/amssub.1 \
	./man/man1/ramsgate.1 \
	./man/man3/ams.3 \
	./man/man5/petition_log.5 \
	./man/man5/amsrc.5 \
	./man/man5/amsxml.5

HTMLFILES = \
	./html/man1/amsbenchr.html \
	./html/man1/amsbenchs.html \
	./html/man1/amsd.html \
	./html/man1/amshello.html \
	./html/man1/amslog.html \
	./html/man1/amslogprt.html \
	./html/man1/amspub.html \
	./html/man1/amsshell.html \
	./html/man1/amsstop.html \
	./html/man1/amsmib.html \
	./html/man1/amssub.html \
	./html/man1/ramsgate.html \
	./html/man3/ams.html \
	./html/man5/petition_log.html \
	./html/man5/amsrc.html \
	./html/man5/amsxml.html

ALL = $(MANFILES) $(HTMLFILES)

all:		$(ALL)

clean:
		rm -f man/man1/*.1
		rm -f man/man3/*.3
		rm -f man/man5/*.5
		rm -f html/man1/*.html
		rm -f html/man3/*.html
		rm -f html/man5/*.html
		rm -f *.tmp

install:
		cp man/man1/*.1 $(ROOT)/man/man1
		cp man/man3/*.3 $(ROOT)/man/man3
		cp man/man5/*.5 $(ROOT)/man/man5

#	-	-	Man files	-	-	-	-	-

./man/man1/%.1:	pod1/%.pod
		$(PODM1) $< $@

./man/man3/%.3:	pod3/%.pod
		$(PODM3) $< $@

./man/man5/%.5:	pod5/%.pod
		$(PODM5) $< $@

./html/man1/%.html:	pod1/%.pod
		$(PODH) --infile=$< --outfile=$@

./html/man3/%.html:	pod3/%.pod
		$(PODH) --infile=$< --outfile=$@

./html/man5/%.html:	pod5/%.pod
		$(PODH) --infile=$< --outfile=$@

=== ams/i86-freebsd/Makefile ===
INCL = ../include
API = ../library
TEST = ../test
UTILS = ../utils
RAMS = ../rams

# OPT = -O -Dfreebsd
OPT = -g -Wall -Werror -Dfreebsd -DUDPTS -DTCPTS -DDGRTS -L/usr/local/lib
CC = gcc $(OPT) -I$(API) -I$(INCL) -I$(RAMS) -I$(ROOT)/include -I/usr/local/include
LDFLAGS = -fPIC -shared
LD = gcc $(LDFLAGS)

LIBAMSOBJS = \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

AMSDOBJS = \
	amsd.o \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

RAMSTESTOBJS = \
	librams.o \
	ramscommon.o \
	ramsgate.o

PUBINCLS = \
	$(INCL)/ams.h

LBP = -lbp -lbpP

RUNTIMES = amsd amshello amsshell amslog amslogprt amsbenchs amsbenchr ramsgate amsstop amsmib

ALL = check libams.so $(RUNTIMES)

all:		$(ALL)

check:		$(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/* $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Daemon executable	-	-	-	-

amsd:		$(AMSDOBJS) $(API)/amscommon.h
		$(CC) -o amsd $(AMSDOBJS) -L./lib -L$(ROOT)/lib -ldgr -lici -lpthread -lexpat
		cp amsd ./bin

#	-	-	Test executables	-	-	-	-

amshello:	amshello.o libams.so $(INCL)/ams.h
		$(CC) -o amshello amshello.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amshello ./bin

amsbenchs:	amsbenchs.o libams.so $(INCL)/ams.h
		$(CC) -o amsbenchs amsbenchs.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsbenchs ./bin

amsbenchr:	amsbenchr.o libams.so $(INCL)/ams.h
		$(CC) -o amsbenchr amsbenchr.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsbenchr ./bin

#	-	-	Utility executables	-	-	-	-

amsshell:	amsshell.o libams.so $(INCL)/ams.h
		$(CC) -o amsshell amsshell.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsshell ./bin

amslog:		amslog.o libams.so $(INCL)/ams.h
		$(CC) -o amslog amslog.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amslog ./bin

amslogprt:	amslogprt.o
		$(CC) -o amslogprt amslogprt.o -L./lib -L$(ROOT)/lib
		cp amslogprt ./bin

amsstop:	amsstop.o libams.so $(INCL)/ams.h
		$(CC) -o amsstop amsstop.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsstop ./bin

amsmib:		amsmib.o libams.so $(INCL)/ams.h
		$(CC) -o amsmib amsmib.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsmib ./bin

#	-	-	RAMS executable		-	-	-	-

ramsgate:	$(RAMSTESTOBJS) $(RAMS)/rams.h $(RAMS)/ramscommon.h libams.so $(INCL)/ams.h
		$(CC) -o ramsgate $(RAMSTESTOBJS) -L./lib -L$(ROOT)/lib $(LBP) -lams -ldgr -lici -lpthread -lexpat
		cp ramsgate ./bin

#	-	-	Libraries	-	-	-	-	-

libams.so:	$(LIBAMSOBJS) $(API)/amsP.h
		$(LD) -o libams.so $(LIBAMSOBJS)
		cp libams.so ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(API)/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

%.o:		$(UTILS)/%.c
		$(CC) -c $<

%.o:		$(RAMS)/%.c
		$(CC) -c $<

=== ams/i86-mingw/Makefile ===
INCL = ../include
API = ../library
TEST = ../test
UTILS = ../utils
RAMS = ../rams

OPT = -g -Wall -Dmingw -DUDPTS -DTCPTS -DDGRTS -DNOEXPAT
CC = gcc $(OPT) -I$(API) -I$(INCL) -I$(RAMS) -I$(ROOT)/include
LDFLAGS = -fPIC -shared
LD = gcc $(LDFLAGS)

LIBAMSOBJS = \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

AMSDOBJS = \
	amsd.o \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

RAMSTESTOBJS = \
	librams.o \
	ramscommon.o \
	ramsgate.o

PUBINCLS = \
	$(INCL)/ams.h

LBP = -lbp

RUNTIMES = amsd amsshell amslog amslogprt amsbenchs amsbenchr ramsgate amsstop amsmib
# amshello

ALL = check libams.dll $(RUNTIMES)

all:		$(ALL)

check:		$(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f *.exe
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/* $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Daemon executable	-	-	-	-

amsd:		$(AMSDOBJS) $(API)/amscommon.h
		$(CC) -o amsd $(AMSDOBJS) -L./lib -L$(ROOT)/lib -ldgr -lici -lpthread -lws2_32
		cp amsd ./bin

#	-	-	Test executables	-	-	-	-

amshello:	amshello.o libams.dll $(INCL)/ams.h
		$(CC) -o amshello amshello.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amshello ./bin

amsbenchs:	amsbenchs.o libams.dll $(INCL)/ams.h
		$(CC) -o amsbenchs amsbenchs.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amsbenchs ./bin

amsbenchr:	amsbenchr.o libams.dll $(INCL)/ams.h
		$(CC) -o amsbenchr amsbenchr.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amsbenchr ./bin

#	-	-	Utility executables	-	-	-	-

amsshell:	amsshell.o libams.dll $(INCL)/ams.h
		$(CC) -o amsshell amsshell.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amsshell ./bin

amslog:		amslog.o libams.dll $(INCL)/ams.h
		$(CC) -o amslog amslog.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amslog ./bin

amslogprt:	amslogprt.o
		$(CC) -o amslogprt amslogprt.o -L$(ROOT)/lib
		cp amslogprt ./bin

amsstop:	amsstop.o
		$(CC) -o amsstop amsstop.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amsstop ./bin

amsmib:		amsmib.o
		$(CC) -o amsmib amsmib.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lws2_32
		cp amsmib ./bin

#	-	-	RAMS executable		-	-	-	-

ramsgate:	$(RAMSTESTOBJS) $(RAMS)/rams.h $(RAMS)/ramscommon.h libams.dll $(INCL)/ams.h
		$(CC) -o ramsgate $(RAMSTESTOBJS) -L./lib -L$(ROOT)/lib $(LBP) -lams -ldgr -lici -lpthread -lws2_32
		cp ramsgate ./bin

#	-	-	Libraries	-	-	-	-	-

libams.dll:	$(LIBAMSOBJS) $(API)/amsP.h
		$(LD) -o libams.dll $(LIBAMSOBJS) -L$(ROOT)/lib -ldgr -lici -lpthread -lws2_32
		cp libams.dll ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(API)/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

%.o:		$(UTILS)/%.c
		$(CC) -c $<

%.o:		$(RAMS)/%.c
		$(CC) -c $<

=== ams/i86-redhat/Makefile ===
INCL = ../include
API = ../library
TEST = ../test
UTILS = ../utils
RAMS = ../rams

# OPT = -O -Dlinux
OPT = -g -Wall -Werror -Dlinux -DUDPTS -DTCPTS -DDGRTS -DNOEXPAT
CC = gcc $(OPT) -I$(API) -I$(INCL) -I$(RAMS) -I$(ROOT)/include
LDFLAGS = -fPIC -shared -rdynamic
LD = gcc $(LDFLAGS)

LIBAMSOBJS = \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

AMSDOBJS = \
	amsd.o \
	libams.o \
	amscommon.o \
	loadmib.o \
	crypt.o \
	dgrts.o \
	udpts.o \
	tcpts.o

RAMSTESTOBJS = \
	librams.o \
	ramscommon.o \
	ramsgate.o

PUBINCLS = \
	$(INCL)/ams.h

LBP = -lbp

RUNTIMES = amsd amshello amsshell amslog amslogprt amsbenchs amsbenchr ramsgate amsstop amsmib

ALL = check libams.so $(RUNTIMES)

all:		$(ALL)

check:		$(PUBINCLS)
		rm -f *.o
		touch check

clean:
		rm -f *.o
		rm -f $(ALL)
		rm -f ./lib/*
		rm -f ./bin/*

install:
		cp ../include/* $(ROOT)/include
		cp lib/* $(ROOT)/lib
		cp bin/* $(ROOT)/bin

#	-	-	Daemon executable	-	-	-	-

amsd:		$(AMSDOBJS) $(API)/amscommon.h
		$(CC) -o amsd $(AMSDOBJS) -L./lib -L$(ROOT)/lib -ldgr -lici -lpthread -lexpat
		cp amsd ./bin

#	-	-	Test executables	-	-	-	-

amshello:	amshello.o libams.so $(INCL)/ams.h
		$(CC) -o amshello amshello.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amshello ./bin

amsbenchs:	amsbenchs.o libams.so $(INCL)/ams.h
		$(CC) -o amsbenchs amsbenchs.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsbenchs ./bin

amsbenchr:	amsbenchr.o libams.so $(INCL)/ams.h
		$(CC) -o amsbenchr amsbenchr.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsbenchr ./bin

#	-	-	Utility executables	-	-	-	-

amsshell:	amsshell.o libams.so $(INCL)/ams.h
		$(CC) -o amsshell amsshell.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsshell ./bin

amslog:		amslog.o libams.so $(INCL)/ams.h
		$(CC) -o amslog amslog.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amslog ./bin

amslogprt:	amslogprt.o
		$(CC) -o amslogprt amslogprt.o -L./lib -L$(ROOT)/lib
		cp amslogprt ./bin

amsstop:	amsstop.o libams.so $(INCL)/ams.h
		$(CC) -o amsstop amsstop.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsstop ./bin

amsmib:		amsmib.o libams.so $(INCL)/ams.h
		$(CC) -o amsmib amsmib.o -L./lib -L$(ROOT)/lib -lams -ldgr -lici -lpthread -lexpat
		cp amsmib ./bin

#	-	-	RAMS executable		-	-	-	-

ramsgate:	$(RAMSTESTOBJS) $(RAMS)/rams.h $(RAMS)/ramscommon.h libams.so $(INCL)/ams.h
		$(CC) -o ramsgate $(RAMSTESTOBJS) -L./lib -L$(ROOT)/lib $(LBP) -lams -ldgr -lici -lpthread -lexpat
		cp ramsgate ./bin

#	-	-	Libraries	-	-	-	-	-

libams.so:	$(LIBAMSOBJS) $(API)/amsP.h
		$(LD) -o libams.so $(LIBAMSOBJS)
		cp libams.so ./lib

#	-	-	Object modules	-	-	-	-	-

%.o:		$(API)/%.c
		$(CC) -c $<

%.o:		$(TEST)/%.c
		$(CC) -c $<

%.o:		$(UTILS)/%.c
		$(CC) -c $<

%.o:		$(RAMS)/%.c
		$(CC) -c $<

=== debian/changelog ===
ion (3.2.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix misleading indentation in dtnperf_client.c (closes: #811582)

 -- Mike Gerow <gerow@mgerow.com>  Thu, 07 Jul 2016 16:39:04 +0200

ion (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version 3.9.6
  * debian/copyright:
    - update Upstream-Name
    - update Format
    - add Upstream-Contact
    - add comment to repacking and Files-Excluded field
    - add short license name for upstream license
  * Remove repack.* utilities in favor of Files-Excluted
  * debian/rules:remove call to REPACK_SH
  * debian/watch: update dsfg dversionmangle
  * debian/patches:
    - remove fix-manpages-errors.patch: applied upstream
    - refresh patches and renamed adding a number suffix
    - 0002-fix-dtnperf-undefined-symbols.patch:
      add LIBADD to libal_pb_vION, prevents undefined-symbols
    - 0003-ftbfs-with-clang.patch:
      fix FTBFS if clang is used instead of gcc (closes: #754319)
  * Update debian/links to binaries without manpage

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 14 Oct 2014 16:40:07 +0200

=== debian/control ===
Source: ion
Priority: extra
Maintainer: Leo Iannacone <l3on@ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 ghostscript,
 groff,
 libexpat1-dev,
 procps,
 psutils
Standards-Version: 3.9.6
Section: net
Homepage: https://ion.ocp.ohiou.edu/
Vcs-Git: git://anonscm.debian.org/collab-maint/ion.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ion.git

Package: ion
Architecture: any
Depends:
 libion0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 ion-doc
Description: NASA implementation of Delay-Tolerant Networking (DTN)
 Interplanetary Overlay Network (ION) software distribution
 is an implementation of Delay-Tolerant Networking (DTN)
 architecture as described in Internet RFC 4838.
 .
 This is a suite of communication protocol implementations designed
 to support mission operation communications across an end-to-end
 interplanetary network, which might include on-board (flight) subnets,
 in-situ planetary or lunar networks, proximity links,
 deep space links, and terrestrial internets.
 .
 Included in the ION software distribution are the following packages:
  * ici (interplanetary communication infrastructure) a set of libraries
    that provide flight-software-compatible support for functions on
    which the other packages rely
  * bp (bundle protocol), an implementation of the Delay-Tolerant
    Networking (DTN) architecture's Bundle Protocol.
  * dgr (datagram retransmission), a UDP reliability system that implements
    congestion control and is designed for relatively high performance.
  * ltp (licklider transmission protocol), a DTN convergence layer for reliable
    transmission over links characterized by long or highly variable delay.
  * ams - an implementation of the CCSDS Asynchronous Message Service.
  * cfdp - a class-1 (Unacknowledged) implementation of the CCSDS File
    Delivery Protocol.
  .
  This package contains the binary files.

Package: libion0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: NASA implementation of Delay-Tolerant Networking (DTN) - main libraries
 Interplanetary Overlay Network (ION) software distribution
 is an implementation of Delay-Tolerant Networking (DTN)
 architecture as described in Internet RFC 4838.
 .
 This is a suite of communication protocol implementations designed
 to support mission operation communications across an end-to-end
 interplanetary network, which might include on-board (flight) subnets,
 in-situ planetary or lunar networks, proximity links,
 deep space links, and terrestrial internets.
 .
 Included in the ION software distribution are the following packages:
  * ici (interplanetary communication infrastructure) a set of libraries
 that provide flight-software-compatible support for functions on
 which the other packages rely
  * bp (bundle protocol), an implementation of the Delay-Tolerant
 Networking (DTN) architecture's Bundle Protocol.
  * dgr (datagram retransmission), a UDP reliability system that implements
 congestion control and is designed for relatively high performance.
  * ltp (licklider transmission protocol), a DTN convergence layer for reliable
 transmission over links characterized by long or highly variable delay.
  * ams - an implementation of the CCSDS Asynchronous Message Service.
  * cfdp - a class-1 (Unacknowledged) implementation of the CCSDS File
 Delivery Protocol.
  .
  This package contains the library files.

Package: libion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libion0 (= ${binary:Version}),
 ${misc:Depends}
Suggests: ion-doc
Description: NASA implementation of Delay-Tolerant Networking (DTN) - development files
 Interplanetary Overlay Network (ION) software distribution
 is an implementation of Delay-Tolerant Networking (DTN)
 architecture as described in Internet RFC 4838.
 .
 This is a suite of communication protocol implementations designed
 to support mission operation communications across an end-to-end
 interplanetary network, which might include on-board (flight) subnets,
 in-situ planetary or lunar networks, proximity links,
 deep space links, and terrestrial internets.
 .
 Included in the ION software distribution are the following packages:
  * ici (interplanetary communication infrastructure) a set of libraries
 that provide flight-software-compatible support for functions on
 which the other packages rely
  * bp (bundle protocol), an implementation of the Delay-Tolerant
 Networking (DTN) architecture's Bundle Protocol.
  * dgr (datagram retransmission), a UDP reliability system that implements
 congestion control and is designed for relatively high performance.
  * ltp (licklider transmission protocol), a DTN convergence layer for reliable
 transmission over links characterized by long or highly variable delay.
  * ams - an implementation of the CCSDS Asynchronous Message Service.
  * cfdp - a class-1 (Unacknowledged) implementation of the CCSDS File
 Delivery Protocol.
  .
  This package contains the development files.

Package: ion-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 ion
Description: Interplanetary Overlay Network - examples and documentation
 Interplanetary Overlay Network (ION) software distribution
 is an implementation of Delay-Tolerant Networking (DTN)
 architecture as described in Internet RFC 4838.
 .
 This is a suite of communication protocol implementations designed
 to support mission operation communications across an end-to-end
 interplanetary network, which might include on-board (flight) subnets,
 in-situ planetary or lunar networks, proximity links,
 deep space links, and terrestrial internets.
 .
 Included in the ION software distribution are the following packages:
  * ici (interplanetary communication infrastructure) a set of libraries
    that provide flight-software-compatible support for functions on
    which the other packages rely
  * bp (bundle protocol), an implementation of the Delay-Tolerant
    Networking (DTN) architecture's Bundle Protocol.
  * dgr (datagram retransmission), a UDP reliability system that implements
    congestion control and is designed for relatively high performance.
  * ltp (licklider transmission protocol), a DTN convergence layer for reliable
    transmission over links characterized by long or highly variable delay.
  * ams - an implementation of the CCSDS Asynchronous Message Service.
  * cfdp - a class-1 (Unacknowledged) implementation of the CCSDS File
    Delivery Protocol.
  .
  This package contains the documentation and some configuration example.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build:
	pod2man -s 1 -c "ION tools without man pages" debian/ion-tools.pod debian/ion-tools.1
	dh_auto_build

# Remove ionstart.awk from ion-doc package. It is essential for
# ion scripts and will be shiped with them in the ion package.
# The file is already included in ion.install
override_dh_install:
	dh_install -pion
ifneq (,$(findstring ion-doc, $(shell dh_listpackages)))
	dh_install -pion-doc
	rm -f debian/ion-doc/usr/share/ion/ionstart.awk
endif
	dh_install --remaining-packages

override_dh_auto_test:

override_dh_clean:
	dh_clean -Xautom4te.cache

override_dh_installchangelogs:
	dh_installchangelogs -k release-notes.txt

get-orig-source:
	uscan --force-download
